package jp.sourceforge.shovel.entity;

public interface IFriendship {
    long getActiveId();
    void setActiveId(long activeId);
    boolean isAccept();
    void setAccept(boolean accept);
    long getCreatedTime();
    void setCreatedTime(long createdTime);
    long getFriendshipId();
    void setFriendshipId(long friendshipId);
    boolean isNotify();
    void setNotify(boolean notify);
    long getPassiveId();
    void setPassiveId(long passiveId);
    long getRemovedTime();
    void setRemovedTime(long removedTime);
    
    /////
    
    IFriendship getFriend();
    void setFriend(IFriendship friend);
    IFriendship getFollower();
    void setFollower(IFriendship follower);
    
    /////
    
    IUser getActive();
    void setActive(IUser active);
    IUser getPassive();
    void setPassive(IUser passive);
}
